Changeset 19167


Ignore:
Timestamp:
2010-01-16T14:39:13+01:00 (8 years ago)
Author:
jow
Message:

[package] base-files:
sysupgade library coomon.sh has "bug" in glibc enviorement. For some reason
ld-linux.so.3 is not installed at ramfs and sysupgrade always fails.
Signed-off-by: Zintis Petersons <zintis.petersons@…>

Location:
trunk/package/base-files
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/package/base-files/Makefile

    r18810 r19167  
    1010 
    1111PKG_NAME:=base-files 
    12 PKG_RELEASE:=34 
     12PKG_RELEASE:=35 
    1313 
    1414PKG_FILE_DEPENDS:=$(PLATFORM_DIR)/ $(GENERIC_PLATFORM_DIR)/base-files/ 
  • trunk/package/base-files/files/lib/upgrade/common.sh

    r17319 r19167  
    2222        [ -x "$src" ] && files="$src $(libs $src)" 
    2323        install_file $files 
     24        [ -e /lib/ld-linux.so.3 ] && { 
     25                install_file /lib/ld-linux.so.3 
     26        } 
    2427        shift 
    2528        for link in "$@"; do { 
Note: See TracChangeset for help on using the changeset viewer.